<template>
  <div id="app">
    <router-view/>
  </div>
</template>

<script>
  import util from '@/libs/util'

  export default {
    name: 'app',
    watch: {
      '$i18n.locale': 'i18nHandle'
    },
    created() {
      this.i18nHandle(this.$i18n.locale)
    },
    methods: {
      i18nHandle(val, oldVal) {
        util.cookies.set('lang', val)
        document.querySelector('html').setAttribute('lang', val)
      }
    }
  }
</script>

<style lang="scss">
@import '~@/assets/style/public-class.scss';
@import '~@/assets/style/button/index.scss';
@import '~@/assets/style/pagination/index.scss';
@import '~@/assets/style/dialog/index.scss';
</style>
